Packages - Packaging Request #3246

[pekka-kana-2] Freedom verification
2022-04-16 11:28 PM - gap

Status: info needed % Done: 0%
Priority: freedom issue

Assignee:

Category:

Description

https://git.parabola.nu/abslibre.git/tree/pcr/pekka-kana-2/PKGBUILD ?h=wip-pekka-kana-2

History

#1 - 2022-04-16 11:35 PM - gap

Readme.md mentions BSD-2-Clause, although it seems to have a long history, all of which should be checked to make sure it is actually free.
It also seems to have a lot of multimedia, the corresponding sources of all of which do not seem to be present, eg. data/gfx/* and data/sfx/*.
data/sprites/ is full of .spr files which | am not familiar with.

Does Parabola have a tracker which can build data/music/* into ubiquitous and libre audio file formats at build-time, or does the game read them
directly?

#2 - 2022-04-17 12:56 AM - bill-auger
the BSD-2 clause is a libre license
WRT the other questions, i dont know - thats why i did not publish this package - i packaged it over two years ago
this is what i do know
e j learned about it because debian added it to their main repo (so it is libre by debian standards)
e debian standards are much more strict than the FSDG, WRT art blobs
¢ debian adopted it because the original authors (a commercial game company) liberated it
so, if the game is not actually entirely libre, that could only be the case if the original game company had no right to set it free
#3 - 2022-04-17 12:59 AM - bill-auger
- Priority changed from bug to freedom issue

- Status changed from unconfirmed to info needed

- Tracker changed from Freedom Issue to Packaging Request

to be clear, this is not yet a parabola package; so this ticket is not a freedom issue yet - it is actually still a "packaging request" at this point - i added it
to a temporary branch of abslibre, only so that gap could look at it

#4 - 2022-04-17 01:06 AM - gap

Agreed and understood.
